services:
  strapi:
    build:
      context: .
      dockerfile: Dockerfile
      target: development
    container_name: malpani-group-cms-dev
    env_file: .env
    environment:
      NODE_ENV: development
      DATABASE_CLIENT: sqlite
      DATABASE_FILENAME: .tmp/data.db
    ports:
      - "${PORT:-9003}:9003"
    volumes:
      - ./:/app
      - /app/node_modules
      - ./public/uploads:/app/public/uploads
      - ./.tmp:/app/.tmp
    networks:
      - strapi-network
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "3"

networks:
  strapi-network:
    driver: bridge
